/******************************************************************************
 * Copyright 2024 ztsh.eu                                                     *
 *                                                                            *
 * Licensed under the Apache License, Version 2.0 (the "License");            *
 * you may not use this file except in compliance with the License.           *
 * You may obtain a copy of the License at                                    *
 *                                                                            *
 *     http://www.apache.org/licenses/LICENSE-2.0                             *
 *                                                                            *
 * Unless required by applicable law or agreed to in writing, software        *
 * distributed under the License is distributed on an "AS IS" BASIS,          *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   *
 * See the License for the specific language governing permissions and        *
 * limitations under the License.                                             *
 ******************************************************************************/

package eu.ztsh.lib.time;

import java.time.format.DateTimeFormatter;

/**
 * Collection of most commonly used DateTime formatters
 */
public class Formatters {

    public static final DateTimeFormatter hourMinutes = DateTimeFormatter.ofPattern("HH:mm");
    public static final DateTimeFormatter hourMinutesShort = DateTimeFormatter.ofPattern("H:mm");
    public static final DateTimeFormatter dayMonth = DateTimeFormatter.ofPattern("dd.MM");
    public static final DateTimeFormatter yearMonthDay = DateTimeFormatter.ofPattern("yyyy-MM-dd");
    public static final DateTimeFormatter monthYear = DateTimeFormatter.ofPattern("MM.yyyy");

    private Formatters() {
        throw new IllegalStateException("Utility class");
    }

}
